Bug 566983 - Review Request: pulsecaster - A PulseAudio-based podcast recorder
Summary: Review Request: pulsecaster - A PulseAudio-based podcast recorder
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-20 22:11 UTC by Paul W. Frields
Modified: 2010-04-25 20:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-25 20:37:12 UTC
rdieter: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Paul W. Frields 2010-02-20 22:11:57 UTC
Spec URL: http://pfrields.fedorapeople.org/packages/SPECS/pulsecaster.spec
SRPM URL: http://pfrields.fedorapeople.org/packages/SRPMS/pulsecaster-0.1.4-1.fc12.src.rpm
Description: 
PulseCaster is a simple PulseAudio-based tool for making podcast interviews. It is designed for ease of use and simplicity. The user makes a call with a preferred PulseAudio-compatible Voice-over-IP (VoIP) softphone application such as Ekiga or Twinkle, and then starts PulseCaster to record the conversation to a multimedia file. The resulting file can be published as a podcast or distributed in other ways.

Comment 1 Rex Dieter 2010-02-25 17:14:48 UTC
I'll take a gander.

Comment 2 Rex Dieter 2010-02-25 17:19:37 UTC
scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2014174

$ rpmlint *.rpm noarch/*.rpm
pulsecaster.src: W: spelling-error %description -l en_US softphone -> soft phone, soft-phone, sousaphone
pulsecaster.src: W: spelling-error %description -l en_US Ekiga -> Kigali, Peking, Enigma
pulsecaster.src:18: W: mixed-use-of-spaces-and-tabs (spaces: line 3, tab: line 18)
pulsecaster.noarch: W: spelling-error %description -l en_US softphone -> soft phone, soft-phone, sousaphone
pulsecaster.noarch: W: spelling-error %description -l en_US Ekiga -> Kigali, Peking, Enigma
2 packages and 0 specfiles checked; 0 errors, 5 warnings.

Mostly harmless.

Comment 3 Rex Dieter 2010-02-25 17:31:39 UTC
1. fix .desktop icon.
pulsecaster.desktop contains:
Icon=pulsecaster
but I dont think there is any pulsecaster icon anywhere?

Until there is, choose another one (or leave out Icon=)

sources: ok
md5sum *.gz
4ffcfa66a7b4d0757c08cbbef30b60b7  pulsecaster-0.1.4.tar.gz

scriplets: ok

macros: ok

works: yes!

otherwise, looks fairly simple and clean.


I won't get hung-up over fixing the icon though, I'll watch to make sure that gets fixed before it gets released anywhere. :)


APPROVED.

Comment 4 Paul W. Frields 2010-04-01 01:56:42 UTC
http://pfrields.fedorapeople.org/packages/SPECS/pulsecaster.spec
http://pfrields.fedorapeople.org/packages/SRPMS/pulsecaster-0.1.5-1.fc13.src.rpm

Fixed the icon problem.  Also removed the stupid 'spaces and tabs' problem too while I was at it.

I'm going to go ahead and ask for CVS branches, given your approval above.

Comment 5 Paul W. Frields 2010-04-01 01:59:14 UTC
New Package CVS Request
=======================
Package Name: pulsecaster
Short Description: A PulseAudio-based podcast recorder
Owners: pfrields
Branches: F-13
InitialCC:

Comment 6 Kevin Fenzi 2010-04-03 17:37:12 UTC
CVS done (by process-cvs-requests.py).


Note You need to log in before you can comment on or make changes to this bug.